Index: /extensions/pwgCumulus/CHANGELOG
===================================================================
--- /extensions/pwgCumulus/CHANGELOG	(revision 10953)
+++ /extensions/pwgCumulus/CHANGELOG	(revision 10954)
@@ -1,2 +1,10 @@
+pwgCumulus 0.5.0 - 2011-05-20
+================================
+* Make plugin compatible with piwigo 2.2, thanks to plg
+* Add tr_TR (Turkish), thanks to Nakre
+* Add ar_SA thanks to bakir
+* Update year copyright
+* Fix a mispelling for a language key
+
 pwgCumulus 0.4.11 - 2011-02-01
 ================================
Index: /extensions/pwgCumulus/MANIFEST
===================================================================
--- /extensions/pwgCumulus/MANIFEST	(revision 10953)
+++ /extensions/pwgCumulus/MANIFEST	(revision 10954)
@@ -1,75 +1,80 @@
+pwgCumulus/js/colorpicker.js
+pwgCumulus/js/swfobject.js
+pwgCumulus/include/pwgCumulusConfig.class.php
+pwgCumulus/include/pwgCumulusContent.class.php
+pwgCumulus/maintain.inc.php
+pwgCumulus/MANIFEST
+pwgCumulus/init.php
+pwgCumulus/main.inc.php
+pwgCumulus/COPYING
+pwgCumulus/language/es_ES/plugin.lang.php
+pwgCumulus/language/es_ES/index.php
+pwgCumulus/language/es_ES/description.txt
+pwgCumulus/language/en_UK/plugin.lang.php
+pwgCumulus/language/en_UK/index.php
+pwgCumulus/language/en_UK/description.txt
+pwgCumulus/language/de_DE/plugin.lang.php
+pwgCumulus/language/de_DE/index.php
+pwgCumulus/language/hr_HR/plugin.lang.php
+pwgCumulus/language/hr_HR/index.php
+pwgCumulus/language/hr_HR/description.txt
+pwgCumulus/language/lv_LV/plugin.lang.php
+pwgCumulus/language/lv_LV/index.php
+pwgCumulus/language/lv_LV/description.txt
+pwgCumulus/language/ru_RU/plugin.lang.php
+pwgCumulus/language/ru_RU/index.php
+pwgCumulus/language/ru_RU/description.txt
+pwgCumulus/language/tr_TR/plugin.lang.php
+pwgCumulus/language/tr_TR/index.php
+pwgCumulus/language/tr_TR/description.txt
+pwgCumulus/language/cs_CZ/plugin.lang.php
+pwgCumulus/language/cs_CZ/index.php
+pwgCumulus/language/cs_CZ/description.txt
+pwgCumulus/language/no_NO/plugin.lang.php
+pwgCumulus/language/no_NO/index.php
+pwgCumulus/language/no_NO/description.txt
+pwgCumulus/language/pl_PL/plugin.lang.php
+pwgCumulus/language/pl_PL/index.php
+pwgCumulus/language/pl_PL/description.txt
+pwgCumulus/language/sk_SK/plugin.lang.php
+pwgCumulus/language/sk_SK/index.php
+pwgCumulus/language/sk_SK/description.txt
+pwgCumulus/language/it_IT/plugin.lang.php
+pwgCumulus/language/it_IT/index.php
+pwgCumulus/language/it_IT/description.txt
+pwgCumulus/language/hu_HU/plugin.lang.php
+pwgCumulus/language/hu_HU/index.php
+pwgCumulus/language/hu_HU/description.txt
+pwgCumulus/language/ar_SA/plugin.lang.php
+pwgCumulus/language/ar_SA/index.php
+pwgCumulus/language/ar_SA/description.txt
+pwgCumulus/language/fr_FR/plugin.lang.php
+pwgCumulus/language/fr_FR/index.php
+pwgCumulus/language/fr_FR/description.txt
+pwgCumulus/language/templates/plugin.lang.php
+pwgCumulus/language/templates/index.php
+pwgCumulus/css/admin.css
+pwgCumulus/css/imgs/colorpicker_overlay.png
+pwgCumulus/css/imgs/colorpicker_rgb_b.png
+pwgCumulus/css/imgs/colorpicker_indic.gif
+pwgCumulus/css/imgs/colorpicker_hsb_b.png
+pwgCumulus/css/imgs/colorpicker_submit.png
+pwgCumulus/css/imgs/colorpicker_hex.png
+pwgCumulus/css/imgs/colorpicker_select.gif
+pwgCumulus/css/imgs/colorpicker_rgb_r.png
+pwgCumulus/css/imgs/colorpicker_hsb_s.png
+pwgCumulus/css/imgs/colorpicker_rgb_g.png
+pwgCumulus/css/imgs/colorpicker_hsb_h.png
+pwgCumulus/css/imgs/colorpicker_background.png
+pwgCumulus/css/colorpicker.css
+pwgCumulus/public.php
+pwgCumulus/modele
+pwgCumulus/swf/tagcloud.swf
+pwgCumulus/admin.php
 pwgCumulus/CREDITS
 pwgCumulus/imgs/cumulus3d.png
-pwgCumulus/MANIFEST
-pwgCumulus/maintain.inc.php
-pwgCumulus/rsync_exclude.txt
+pwgCumulus/CHANGELOG
+pwgCumulus/default_values.inc.php
+pwgCumulus/Makefile
+pwgCumulus/template/admin.tpl
 pwgCumulus/template/tags.tpl
-pwgCumulus/template/admin.tpl
-pwgCumulus/js/colorpicker.js
-pwgCumulus/js/swfobject.js
-pwgCumulus/main.inc.php
-pwgCumulus/default_values.inc.php
-pwgCumulus/language/fr_FR/index.php
-pwgCumulus/language/fr_FR/description.txt
-pwgCumulus/language/fr_FR/plugin.lang.php
-pwgCumulus/language/hr_HR/index.php
-pwgCumulus/language/hr_HR/description.txt
-pwgCumulus/language/hr_HR/plugin.lang.php
-pwgCumulus/language/pl_PL/index.php
-pwgCumulus/language/pl_PL/description.txt
-pwgCumulus/language/pl_PL/plugin.lang.php
-pwgCumulus/language/de_DE/index.php
-pwgCumulus/language/de_DE/plugin.lang.php
-pwgCumulus/language/no_NO/index.php
-pwgCumulus/language/no_NO/description.txt
-pwgCumulus/language/no_NO/plugin.lang.php
-pwgCumulus/language/templates/index.php
-pwgCumulus/language/templates/plugin.lang.php
-pwgCumulus/language/en_UK/index.php
-pwgCumulus/language/en_UK/description.txt
-pwgCumulus/language/en_UK/plugin.lang.php
-pwgCumulus/language/sk_SK/index.php
-pwgCumulus/language/sk_SK/description.txt
-pwgCumulus/language/sk_SK/plugin.lang.php
-pwgCumulus/language/lv_LV/index.php
-pwgCumulus/language/lv_LV/description.txt
-pwgCumulus/language/lv_LV/plugin.lang.php
-pwgCumulus/language/it_IT/index.php
-pwgCumulus/language/it_IT/description.txt
-pwgCumulus/language/it_IT/plugin.lang.php
-pwgCumulus/language/es_ES/index.php
-pwgCumulus/language/es_ES/description.txt
-pwgCumulus/language/es_ES/plugin.lang.php
-pwgCumulus/language/cs_CZ/index.php
-pwgCumulus/language/cs_CZ/description.txt
-pwgCumulus/language/cs_CZ/plugin.lang.php
-pwgCumulus/language/ru_RU/index.php
-pwgCumulus/language/ru_RU/description.txt
-pwgCumulus/language/ru_RU/plugin.lang.php
-pwgCumulus/language/hu_HU/index.php
-pwgCumulus/language/hu_HU/description.txt
-pwgCumulus/language/hu_HU/plugin.lang.php
-pwgCumulus/CHANGELOG
-pwgCumulus/modele
-pwgCumulus/include/pwgCumulusContent.class.php
-pwgCumulus/include/pwgCumulusConfig.class.php
-pwgCumulus/swf/tagcloud.swf
-pwgCumulus/admin.php
-pwgCumulus/Makefile
-pwgCumulus/COPYING
-pwgCumulus/css/admin.css
-pwgCumulus/css/imgs/colorpicker_hex.png
-pwgCumulus/css/imgs/colorpicker_hsb_b.png
-pwgCumulus/css/imgs/colorpicker_rgb_g.png
-pwgCumulus/css/imgs/colorpicker_overlay.png
-pwgCumulus/css/imgs/colorpicker_rgb_b.png
-pwgCumulus/css/imgs/colorpicker_submit.png
-pwgCumulus/css/imgs/colorpicker_select.gif
-pwgCumulus/css/imgs/colorpicker_hsb_h.png
-pwgCumulus/css/imgs/colorpicker_indic.gif
-pwgCumulus/css/imgs/colorpicker_rgb_r.png
-pwgCumulus/css/imgs/colorpicker_hsb_s.png
-pwgCumulus/css/imgs/colorpicker_background.png
-pwgCumulus/css/colorpicker.css
-pwgCumulus/init.php
-pwgCumulus/public.php
Index: /extensions/pwgCumulus/admin.php
===================================================================
--- /extensions/pwgCumulus/admin.php	(revision 10953)
+++ /extensions/pwgCumulus/admin.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -32,15 +32,15 @@
   if (!empty($_POST['pwg_cumulus_width']) && intval($_POST['pwg_cumulus_width'])!=$me->pwg_cumulus_width) {
     $me->pwg_cumulus_width = intval($_POST['pwg_cumulus_width']);
-    array_push($GLOBALS['page']['infos'], $lang['Width updated']);
+    $page['infos'][] = l10n('Width updated');
     $save_config = true;
   }
   if (!empty($_POST['pwg_cumulus_height']) && intval($_POST['pwg_cumulus_height'])!=$me->pwg_cumulus_height) {
     $me->pwg_cumulus_height = intval($_POST['pwg_cumulus_height']);
-    array_push($GLOBALS['page']['infos'], $lang['Height updated']);
+    $page['infos'][] = l10n('Height updated');
     $save_config = true;
   }
   if (!empty($_POST['pwg_cumulus_coeff']) && intval($_POST['pwg_cumulus_coeff'])!=$me->pwg_cumulus_coeff) {
     $me->pwg_cumulus_coeff = intval($_POST['pwg_cumulus_coeff']);
-    array_push($GLOBALS['page']['infos'], $lang['Coefficient for tags size updated']);
+    $page['infos'][] = l10n('Coefficient for tags size updated');
     $save_config = true;
   }
@@ -48,15 +48,15 @@
   if (!empty($_POST['pwg_cumulus_color1']) && trim($_POST['pwg_cumulus_color1'])!=$me->pwg_cumulus_color1) {
     $me->pwg_cumulus_color1 = str_replace('#', '', $_POST['pwg_cumulus_color1']);
-    array_push($GLOBALS['page']['infos'], $lang['Color 1 updated']);
+    $page['infos'][] = l10n('Color 1 updated');
     $save_config = true;
   }
   if (!empty($_POST['pwg_cumulus_color2']) && trim($_POST['pwg_cumulus_color2'])!=$me->pwg_cumulus_color2) {
     $me->pwg_cumulus_color2 = str_replace('#', '', $_POST['pwg_cumulus_color2']);
-    array_push($GLOBALS['page']['infos'], $lang['Color 2 updated']);
+    $page['infos'][] = l10n('Color 2 updated');
     $save_config = true;
   }
   if (!empty($_POST['pwg_cumulus_hicolor']) && trim($_POST['pwg_cumulus_hicolor'])!=$me->pwg_cumulus_hicolor) {
     $me->pwg_cumulus_hicolor = str_replace('#', '', $_POST['pwg_cumulus_hicolor']);
-    array_push($GLOBALS['page']['infos'], $lang['Mouseover color updated']);
+    $page['infos'][] = l10n('Mouseover color updated');
     $save_config = true;
   }
Index: /extensions/pwgCumulus/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/ar_SA/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/ar_SA/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Cumulus اداة المؤثرات الدلالية";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "هذا البرنامج المساعد به عرض باستخدام الفلاش التي تدور لهم في عرض ثلاثي الابعاد. وهي تعمل مثل سحابة بطاقات العادية ولكن بطريقة أكثر مدهشة ومثيرة .";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = " يمكن اختيار هذا النمط لوضع العرض الافتراضي به من خلال إضافة (أو تغيير) في اعدادات الملف";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = " يمكن اختيار هذا النمط لوضع العرض الافتراضي به من خلال إضافة (أو تغيير) في اعدادات الملف";
 $lang['Animation width and height'] = "ارتاع وعرض الانيميشن";
 $lang['Width'] = "العرض";
Index: /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Cumulus Tags Cloud Plugin";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Tento plugin zobrazuje tagy za použití flashe, který je otáčí 3D efektem. Funguje jako standardní nepohyblivý tag cloud, ale zábavnější formou.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Zobrazování lze měnit několika módy v konfiguračním souboru";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Zobrazování lze měnit několika módy v konfiguračním souboru";
 $lang['Animation width and height'] = "Šířka a výška animace";
 $lang['Width'] = "Šířka";
Index: /extensions/pwgCumulus/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -20,22 +20,21 @@
 // +-----------------------------------------------------------------------+
 
-$lang['pwg_cumulus_title'] = "Cumulus Tags Cloud Plugin";
-$lang['pwg_cumulus_intro'] = "Diese Erweiterung zeigt die Tags eines Fotos als rotierende, flash-basierte 3D-animation.";
-$lang['pwg_cumulus_info'] = "Sie können den Darstellungsmodus für Tags durch Editieren der Konfigurationsdatei wählen";
-$lang['pwg_cumulus_dimensions'] = "Animationsbreite und -höhe";
-$lang['pwg_cumulus_width'] = "Breite";
-$lang['pwg_cumulus_height'] = "Höhe";
-$lang['pwg_cumulus_tags_size'] = "Tag-größe";
-$lang['pwg_cumulus_coeff'] = "Koeffizient";
-$lang['pwg_cumulus_width_changed'] = "Breite angepasst";
-$lang['pwg_cumulus_height_changed'] = "Höhe angepasst";
-$lang['pwg_cumulus_coeff_changed'] = "Koeffizient für die Tag-größe angepasst";
+$lang['Cumulus Tags Cloud Plugin'] = "Cumulus Tags Cloud Plugin";
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Diese Erweiterung zeigt die Tags eines Fotos als rotierende, flash-basierte 3D-animation.";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Sie können den Darstellungsmodus für Tags durch Editieren der Konfigurationsdatei wählen";
+$lang['Animation width and height'] = "Animationsbreite und -höhe";
+$lang['Width'] = "Breite";
+$lang['Height'] = "Höhe";
+$lang['Tags size'] = "Tag-größe";
+$lang['Coefficient'] = "Koeffizient";
+$lang['Width updated'] = "Breite angepasst";
+$lang['Height updated'] = "Höhe angepasst";
+$lang['Coefficient for tags size updated'] = "Koeffizient für die Tag-größe angepasst";
 $lang['show tag cloud in cumulus mode'] = "Tag-wolke im Cumulusmodus anzeigen";
-$lang['pwg_cumulus_color'] = "Animationsfarben";
-$lang['pwg_cumulus_color1'] = "Farbe 1";
-$lang['pwg_cumulus_color2'] = "Farbe 2";
-$lang['pwg_cumulus_hicolor'] = "Mouseover Farbe";
-$lang['pwg_cumulus_color1_changed'] = "Farbe 1 angepasst";
-$lang['pwg_cumulus_color2_changed'] = "Farbe 2 angepasst";
-$lang['pwg_cumulus_hicolor_changed'] = "Mouseover Farbe angepasst";
+$lang['Color 1'] = "Farbe 1";
+$lang['color 2'] = "Farbe 2";
+$lang['Mouseover color'] = "Mouseover Farbe";
+$lang['Color 1 updated'] = "Farbe 1 angepasst";
+$lang['Color 2 updated'] = "Farbe 2 angepasst";
+$lang['Mouseover color updated'] = "Mouseover Farbe angepasst";
 ?>
Index: /extensions/pwgCumulus/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -20,22 +20,8 @@
 // +-----------------------------------------------------------------------+
 
-$lang['Cumulus Tags Cloud Plugin'] = "Cumulus Tags Cloud Plugin";
-$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file";
-$lang['Animation width and height'] = "Animation width and height";
-$lang['Width'] = "Width";
-$lang['Height'] = "Height";
-$lang['Tags size'] = "Tags size";
-$lang['Coefficient'] = "Coefficient";
-$lang['Width updated'] = "Width updated";
-$lang['Height updated'] = "Height updated";
-$lang['Coefficient for tags size updated'] = "Coefficient for tags size updated";
-$lang['Show tag cloud in cumulus mode'] = "Show tag cloud in cumulus mode";
-$lang['Animation colors'] = "Animation colors";
-$lang['Color 1'] = "Color 1";
-$lang['Color 2'] = "Color 2";
-$lang['Mouseover color'] = "Hover color";
-$lang['Color 1 updated'] = "Color 1 updated";
-$lang['Color 2 updated'] = "Color 2 updated";
-$lang['Mouseover color updated'] = "Hover color updated";
+/* 
+ * The purpose of that file is to provide a way to overwrite 
+ * default translation.
+ * See language/templates/plugin.lang.php for available keys
+ */
 ?>
Index: /extensions/pwgCumulus/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Plugin Cumulus Tags Cloud";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Este plugin permite fijar una nube de etiquetas en forma de una animación flash 3D.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Usted puede escoger este modo de fijación de la nube de pintadas añadiendo el modo por defecto en el fichero de configuración";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Usted puede escoger este modo de fijación de la nube de pintadas añadiendo el modo por defecto en el fichero de configuración";
 $lang['Animation width and height'] = "Dimensiones de la animación";
 $lang['Width'] = "Anchura";
Index: /extensions/pwgCumulus/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Plugin Cumulus Tags Cloud";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Ce plugin permet d'afficher un nuage de tags sous forme d'une animation flash en 3D.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Vous pouvez choisir ce mode d'affichage du nuage de tags en ajoutant le mode par défaut dans le fichier de configuration";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Vous pouvez choisir ce mode d'affichage du nuage de tags en ajoutant le mode par défaut dans le fichier de configuration";
 $lang['Animation width and height'] = "Dimensions de l'animation";
 $lang['Width'] = "Largeur";
Index: /extensions/pwgCumulus/language/hr_HR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hr_HR/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/hr_HR/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Cumulus Tags Cloud Plugin";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Ovaj plugin prikazuje tagove koristeći flash animaciju koja ih rotira u 3D oblaku. Funkcionira kao i običan skup tagova ali na ljepši i zanimljiviji način.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Možete odabrati način prikaza tagova dodajući ili mijenjajući opcije u konfiguracijskoj datoteci";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Možete odabrati način prikaza tagova dodajući ili mijenjajući opcije u konfiguracijskoj datoteci";
 $lang['Animation width and height'] = "Širina i visina animacije";
 $lang['Width'] = "Širina";
Index: /extensions/pwgCumulus/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Cumulus Címkefelhő Flash bővítmény";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Ez a bővítmény 3D-ben forgatja a címkéket flash használatával. Címkefelhőként működik, izgalmas vizuális effekt.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Kiválaszthatja a címkék alapértelmezett megjelenési módját a konfigurációs fájl módosításával";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Kiválaszthatja a címkék alapértelmezett megjelenési módját a konfigurációs fájl módosításával";
 $lang['Animation width and height'] = "Animációs ablak méretei";
 $lang['Width'] = "Magasság";
Index: /extensions/pwgCumulus/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = 'Cumulus Tags Cloud Plugin';
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = 'Questo plugin permette di visualizzare i tags in una nuvola di tag che ruotano in 3D';
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = 'È possibile scegliere questa visualizzazione come visualizzazione di default agiungendo (o modificando) il file locale di configurazione';
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = 'È possibile scegliere questa visualizzazione come visualizzazione di default agiungendo (o modificando) il file locale di configurazione';
 $lang['Animation width and height'] = 'Dimenzioni della nuvola';
 $lang['Width'] = 'Larghezza';
Index: /extensions/pwgCumulus/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Cumulus Tags Cloud Spraudnis";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Šis spraudnis attēlo iezīmes 3 dimensijās un lietojot flash animāciju griež tās ap savu asi. Tās darbojas kā parastas maķoņveida iezīmes, bet vēl skaitāk acij.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Šo režīmu iezīmēm kā noklusējumu var izvēlēties pievienojot ( vai izmainot) iestatījumus konfigurācijas failā.";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Šo režīmu iezīmēm kā noklusējumu var izvēlēties pievienojot ( vai izmainot) iestatījumus konfigurācijas failā.";
 $lang['Animation width and height'] = " Animācijas platums un augstums";
 $lang['Width'] = "Platums";
Index: /extensions/pwgCumulus/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/no_NO/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/no_NO/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Cumulus Tagg Sky Pluggin";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Pluggingen viser tagger ved bruk av flash film som roterer dem i 3D. Den virker som vanlige tagg skyer men på en mer spennende måte.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Vous kan velge modus for standard taggs visning ved å legge til (eller endre) i konfigurasjons filen";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Vous kan velge modus for standard taggs visning ved å legge til (eller endre) i konfigurasjons filen";
 $lang['Animation width and height'] = "Animasjon bredde og høyde";
 $lang['Width'] = "Bredde";
Index: /extensions/pwgCumulus/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/pl_PL/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/pl_PL/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Wtyczka Chmura Tagów Cumulus";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Wtyczka wyœwietla tagi wykorzystuj¹c film w technologii flash, który obraca siê w 3D. Dzia³a to jak zwyk³a chmura tagów ale w bardziej zaskakuj¹cy i ekscytuj¹cy sposób.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Mo¿ecie u¿yæ tego trybu wyœwietlania tagów domyœlnie przez dodanie (lub zmianê) w pliku konfiguracyjnym";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Mo¿ecie u¿yæ tego trybu wyœwietlania tagów domyœlnie przez dodanie (lub zmianê) w pliku konfiguracyjnym";
 $lang['Animation width and height'] = "Wysokoœæ i szerokoœæ animacji";
 $lang['Width'] = "Szerokoœæ";
Index: /extensions/pwgCumulus/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/ru_RU/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/ru_RU/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Плагин Cumulus Tags Cloud";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Плагин выводит теги, используя флэш технологии, отображая и поворачивая их в 3-D. Облако тегов работает как обычно, но более удивительным и захватывающим способом.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Вы можете выбрать режим отображения тегов, добавляя (или изменяя) в конфигурационном файле";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Вы можете выбрать режим отображения тегов, добавляя (или изменяя) в конфигурационном файле";
 $lang['Animation width and height'] = "Ширина и высота области тегов";
 $lang['Width'] = "Ширина";
Index: /extensions/pwgCumulus/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/sk_SK/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/sk_SK/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -23,5 +23,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Kumulus mragový doplnok";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Tento doplnok zobrazuje fotografie vo flash filme, ktoré rotujú v 3D. Pracuje to ako mrak, ale úžasnejšie a vzrušujúcejšie.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Môžete si vybrať tento mód ako predvolené zobrazovanie pri pridaní (alebo zmenení) konfiguračného súboru.";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Môžete si vybrať tento mód ako predvolené zobrazovanie pri pridaní (alebo zmenení) konfiguračného súboru.";
 $lang['Animation width and height'] = "Šírka a výška animácie";
 $lang['Width'] = "Šírka";
Index: /extensions/pwgCumulus/language/templates/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/templates/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/templates/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009      Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -20,22 +20,32 @@
 // +-----------------------------------------------------------------------+
 
-$lang['pwg_cumulus_title'] = "Cumulus Tags Cloud Plugin";
-$lang['pwg_cumulus_intro'] = "That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.";
-$lang['pwg_cumulus_info'] = "Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file";
-$lang['pwg_cumulus_dimensions'] = "Animation width and height";
-$lang['pwg_cumulus_width'] = "Width";
-$lang['pwg_cumulus_height'] = "Height";
-$lang['pwg_cumulus_tags_size'] = "Tags size";
-$lang['pwg_cumulus_coeff'] = "Coefficient";
-$lang['pwg_cumulus_width_changed'] = "Width updated";
-$lang['pwg_cumulus_height_changed'] = "Height updated";
-$lang['pwg_cumulus_coeff_changed'] = "Coefficient for tags size updated";
-$lang['show tag cloud in cumulus mode'] = "Show tag cloud in cumulus mode";
-$lang['pwg_cumulus_color'] = "Animation colors";
-$lang['pwg_cumulus_color1'] = "Color 1";
-$lang['pwg_cumulus_color2'] = "Color 2";
-$lang['pwg_cumulus_hicolor'] = "Mouseover color";
-$lang['pwg_cumulus_color1_changed'] = "Color 1 updated";
-$lang['pwg_cumulus_color2_changed'] = "Color 2 updated";
-$lang['pwg_cumulus_hicolor_changed'] = "Mouseover color updated";
+// admin
+$lang['Animation colors'] = '';
+$lang['Animation width and height'] = '';
+$lang['Coefficient'] = '';
+$lang['Coefficient for tags size updated'] = '';
+$lang['Color 1'] = '';
+$lang['Color 1 updated'] = '';
+$lang['Color 2'] = '';
+$lang['Color 2 updated'] = '';
+$lang['Cumulus Tags Cloud Plugin'] = '';
+$lang['Height'] = '';
+$lang['Height updated'] = '';
+$lang['Mouseover color'] = '';
+$lang['Mouseover color updated'] = '';
+$lang['Submit'] = '';
+$lang['Tags size'] = '';
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = '';
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = '';
+$lang['Width'] = '';
+$lang['Width updated'] = '';
+
+// public
+$lang['cloud'] = '';
+$lang['cumulus cloud'] = '';
+$lang['group by letters'] = '';
+$lang['Home'] = '';
+$lang['letters'] = '';
+$lang['show tag cloud'] = '';
+$lang['Tags'] = '';
 ?>
Index: /extensions/pwgCumulus/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/tr_TR/plugin.lang.php	(revision 10953)
+++ /extensions/pwgCumulus/language/tr_TR/plugin.lang.php	(revision 10954)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 $lang['Cumulus Tags Cloud Plugin'] = "Etiketler Bulut Kümesi Eklentisi";
 $lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Bu eklenti ile etiketleriniz bir animasyon filmi içinde dönerek gösterilecektir. Düzenli etiket formu gibi çalışır fakat daha heyacan verici bir şekilde gösteri yapar.";
-$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Yapılandırma dosyasında etiketlerin varsayılan gösterim şeklini seçebilirsiniz";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Yapılandırma dosyasında etiketlerin varsayılan gösterim şeklini seçebilirsiniz";
 $lang['Animation width and height'] = "Animasyon genişlik ve yüksekliği";
 $lang['Width'] = "Genişlik";
Index: /extensions/pwgCumulus/main.inc.php
===================================================================
--- /extensions/pwgCumulus/main.inc.php	(revision 10953)
+++ /extensions/pwgCumulus/main.inc.php	(revision 10954)
@@ -22,5 +22,5 @@
 /*
 Plugin Name: pwgCumulus
-Version: 0.4.11
+Version: 0.5.0
 Description: add an amazing tag cloud
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=263
Index: /extensions/pwgCumulus/maintain.inc.php
===================================================================
--- /extensions/pwgCumulus/maintain.inc.php	(revision 10953)
+++ /extensions/pwgCumulus/maintain.inc.php	(revision 10954)
@@ -36,5 +36,7 @@
   $config_file = $GLOBALS['conf']['local_data_dir'].'/plugins/';
   $config_file .= basename(dirname(__FILE__)).'.dat';
-  unlink($config_file);
+  if (file_exists($config_file)) {
+    unlink($config_file);
+  }
 }
 ?>
Index: /extensions/pwgCumulus/template/admin.tpl
===================================================================
--- /extensions/pwgCumulus/template/admin.tpl	(revision 10953)
+++ /extensions/pwgCumulus/template/admin.tpl	(revision 10954)
@@ -1,9 +1,7 @@
-{html_head} 
-<link rel="stylesheet" type="text/css" href="{$PWG_CUMULUS_PLUGIN_CSS}/admin.css">
-<link rel="stylesheet" type="text/css" href="{$PWG_CUMULUS_PLUGIN_CSS}/colorpicker.css">
-{known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
-{known_script id="colorpicker" src="$PWG_CUMULUS_PLUGIN_JS/colorpicker.js"}
-{literal}
-<script type="text/javascript">
+{combine_css path="$PWG_CUMULUS_PLUGIN_CSS/admin.css"}
+{combine_css path="$PWG_CUMULUS_PLUGIN_CSS/colorpicker.css"}
+
+{combine_script id="colorpicker" require="jquery" path="$PWG_CUMULUS_PLUGIN_JS/colorpicker.js"}
+{footer_script require="colorpicker"}{literal}
 $(function() {
 $('input.pwg-picker')
@@ -31,7 +29,5 @@
 });
 });
-</script>
-{/literal}
-{/html_head}
+{/literal}{/footer_script}
 
 <div class="titrePage">
@@ -44,5 +40,5 @@
 
 <p>
-{'Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'|@translate}  <strong>include/config_local.inc.php</strong> :<p>
+{'You can choose that mode for tags default display mode by adding (or changing) in the configuration file'|@translate}  <strong>include/config_local.inc.php</strong> :<p>
 <pre>
 $conf['tags_default_display_mode'] = 'cumulus';
Index: /extensions/pwgCumulus/template/tags.tpl
===================================================================
--- /extensions/pwgCumulus/template/tags.tpl	(revision 10953)
+++ /extensions/pwgCumulus/template/tags.tpl	(revision 10954)
@@ -1,19 +1,34 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
-
   <div class="titrePage">
     <ul class="categoryActions">
-
-      {if $display_mode != 'letters'}
-      <li><a href="{$U_LETTERS}" title="{'letters'|@translate}" rel="nofollow"><img src="{$themeconf.icon_dir}/tag_letters.png" class="button" alt="{'letters'|@translate}"></a></li>
+      {if $display_mode == 'letters'}
+      <li>*
+	<a href="{$U_CLOUD}" title="{'show tag cloud'|@translate}" class="pwg-state-default pwg-button">
+	  <span class="pwg-icon pwg-icon-cloud">&nbsp;</span><span class="pwg-button-text">{'cloud'|@translate}</span>
+	</a>
+      </li>
       {/if}
 
       {if $display_mode != 'cumulus'}
-      <li><a href="{$PWG_CUMULUS_HREF}" title="{'cumulus cloud'|@translate}" rel="nofollow"><img src="{$PWG_CUMULUS_IMGS}/cumulus3d.png" class="button" alt="{'cumulus cloud'|@translate}"></a></li>
+      <li>
+	<a href="{$PWG_CUMULUS_HREF}" title="{'cumulus cloud'|@translate}" rel="nofollow">
+	  <img src="{$PWG_CUMULUS_IMGS}/cumulus3d.png" class="button" alt="{'cumulus cloud'|@translate}">
+	</a>
+      </li>
       {/if}
 
-      {if $display_mode != 'cloud'}
-      <li><a href="{$U_CLOUD}" title="{'cloud'|@translate}" rel="nofollow"><img src="{$themeconf.icon_dir}/tag_cloud.png" class="button" alt="{'cloud'|@translate}"></a></li>
+      {if $display_mode == 'cloud'}
+      <li>
+	<a href="{$U_LETTERS}" title="{'group by letters'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+	  <span class="pwg-icon pwg-icon-letters">&nbsp;</span><span class="pwg-button-text">{'letters'|@translate}</span>
+	</a>
+      </li>
       {/if}
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li>
+	<a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+	  <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+	</a>
+      </li>
     </ul>
     <h2>{'Tags'|@translate}</h2>
@@ -24,5 +39,5 @@
   <div id="fullTagCloud">
     {foreach from=$tags item=tag}
-    <span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$pwg->l10n_dec('%d image', '%d images', $tag.counter)}">{$tag.name}</a></span>
+    <span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}">{$tag.name}</a></span>
     {/foreach}
   </div>
@@ -58,10 +73,10 @@
 	    <tr class="tagLine">
               <td><a href="{$tag.URL}">{$tag.name}</a></td>
-              <td class="nbEntries">{$pwg->l10n_dec('%d element', '%d elements', $tag.counter)}</td>
+              <td class="nbEntries">{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}</td>
 	    </tr>
 	    {/foreach}
 	  </table>
 	</fieldset>
-	{if $letter.CHANGE_COLUMN|@default:false}
+	{if isset($letter.CHANGE_COLUMN) }
       </td>
       <td valign="top">
@@ -72,5 +87,4 @@
   </table>
   {/if}
-  {/if}
-
+  {/if}  
 </div> <!-- content -->
